package earth.krakatoa.core;

import earth.krakatoa.core.config.MongoConfig;
import earth.krakatoa.core.config.RedisConfig;
import earth.krakatoa.core.mongo.MongoManager;
import earth.krakatoa.core.redis.RedisManager;

public class KraCore {

  private final MongoManager mongoManager;
  private final RedisManager redisManager;

  public KraCore(MongoConfig mongoConfig, RedisConfig redisConfig) {
    this.mongoManager = new MongoManager();
    this.mongoManager.connect(mongoConfig);

    this.redisManager = new RedisManager();
    this.redisManager.connect(redisConfig);
  }

  public void shutdown() {
    this.mongoManager.shutdown();
    this.redisManager.shutdown();
  }
}
